Bug 585231 - Qt displays half width character as full width in some Japanese fonts
Summary: Qt displays half width character as full width in some Japanese fonts
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: qt
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-23 13:57 UTC by Daisuke Kameda
Modified: 2011-06-27 15:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 15:49:48 UTC
Type: ---


Attachments (Terms of Use)
Fixed problem that Qt display half width character as full width (492 bytes, patch)
2010-04-23 13:57 UTC, Daisuke Kameda
no flags Details | Diff

Description Daisuke Kameda 2010-04-23 13:57:43 UTC
Created attachment 408613 [details]
Fixed problem that Qt display half width character as full width

There is the problem that Qt displays half width character
(e.g. alphabet) as full width in some Japanese fonts.
This problem was reported in #QTBUG-1726
<http://bugreports.qt.nokia.com/browse/QTBUG-1726>.

This occurs in the following fonts.
- Monospace font
- Selif font
- IPA font (Ver.0301)
- NSimSun

In Cario and fontconfig etc., the FT_LOAD_IGNORE_GLOBAL_ADVANCE_WIDTH
is specified as flag of FT_Load_Glyph function to solve this problem.

According to the document of freetype,
this flag exists to support buggy CJK fonts.
http://www.freetype.org/freetype2/docs/reference/ft2-base_interface.html#FT_LOAD_XXX

This patch is already merged in Qt4.7 branch.

Comment 1 Than Ngo 2010-04-23 17:08:59 UTC
 I will take a look at the patch, if everything is ok it will be included in tne next qt build. Thanks for your report

Comment 2 Bug Zapper 2011-06-02 14:56:54 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2011-06-27 15:49:48 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.